python-pysam (0.15.4+ds-3build3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 22:00:26 +0200

python-pysam (0.15.4+ds-3build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:21:09 +0100

python-pysam (0.15.4+ds-3build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 10:57:32 +0100

python-pysam (0.15.4+ds-3) unstable; urgency=medium

  * Remove Python2 package
    Closes: #938092
  * Remove unneeded debian/gbp.conf
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Fri, 08 May 2020 20:27:35 +0200

python-pysam (0.15.4+ds-2) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 23:49:01 -0400

python-pysam (0.15.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * python-pysam-tests: Multi-Arch: foreign
  * Try to keep example_no_seq_in_header_null_bytes.bam from being deleted

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 23 Jan 2020 15:00:17 +0100

python-pysam (0.15.3+ds-5) unstable; urgency=medium

  [ Chris Lamb ]
  * make the build reproducible
    Closes: #948280

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jan 2020 17:44:23 +0100

python-pysam (0.15.3+ds-4) unstable; urgency=medium

  * Team upload.
  * Replace missing hts_seek and hts_tell equivalents

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 05 Jan 2020 21:23:11 +0100

python-pysam (0.15.3+ds-3) unstable; urgency=medium

  * Team upload.
  * -docs: oops, don't try to ship nonexistent debian/tests/run-nose{3,}-tests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 05 Jan 2020 08:01:33 +0100

python-pysam (0.15.3+ds-2) unstable; urgency=medium

  * Team upload.
  * new patch: Update deprecated samtools import test commands to samtools view
  * new patch: Update samtools + bcftools to v1.10
  * disable tests for now

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 04 Jan 2020 23:19:04 +0100

python-pysam (0.15.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Not yet dropping py2 due to paleomix and pbsuite
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.
  * New patch to remove symbols that were dropped in htslib 1.10:
    hts_utell, hts_useek (Closes: #947426)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 03 Jan 2020 21:25:33 +0100

python-pysam (0.15.2+ds-2) unstable; urgency=medium

  * Team upload.
  * For the Tabix tests: test the index contents, not the compression scheme.
    Closes: #919928, #920250

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 20 Feb 2019 02:45:47 -0800

python-pysam (0.15.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0, no changes needed
  * added Py2 and Py3 versions of ${python:Provides}
  * Fix lintian found spelling typos.
  * debian/tests/control.autodep8 → debian/tests/control.
  * remove errant log.txt from the packages.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 17 Jan 2019 01:25:11 -0800

python-pysam (0.15.1+ds-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.
    - Removes autogenerated config.h - [many thanks!]
      https://github.com/pysam-developers/pysam/issues/714
    - Explicit compatibility with Python 3.7
  * Removed patch skipping test that complained on missing file

 -- Steffen Moeller <moeller@debian.org>  Fri, 14 Sep 2018 10:44:51 +0200

python-pysam (0.15.0.1+ds-2) unstable; urgency=medium

  * Remove ancient fields X-Python*-Version
  * Adjust patches for build time test suite
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 12 Sep 2018 18:37:42 +0200

python-pysam (0.15.0.1+ds-1) experimental; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * New upstream version.

  [ Afif Elghraoui ]
  * New upstream version 0.14.1+ds
  * Update patches

  [ Andreas Tille ]
  * Testsuite: autopkgtest-pkg-python
  * Rename d/tests/control to d/tests/control.autodep8
  * Standards-Version: 4.1.4

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Jul 2018 00:51:38 +0200

python-pysam (0.14+ds-2) unstable; urgency=medium

  * Team upload
  * Add Python 2.7 compatibility symlink for libchtslib.so (Closes: #890748)
  * Update Vcs-* URIs for move to salsa.debian.org
  * Remove trailing whitespace from debian/changelog

 -- Graham Inggs <ginggs@debian.org>  Mon, 19 Feb 2018 10:11:17 +0000

python-pysam (0.14+ds-1) unstable; urgency=medium

  * New upstream version
  * d/rules: Exclude tests using http access
  * Bump versioned dependencies to samtools and related from 1.6 to 1.7
  * cme fix dpkg-control
  * debhelper 11
  * do not remove samtools/tmp_file.h in clean target
  * do not depend from non-existing data file in make test target
  * Update d/copyright
  * Update lintian overrides

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2018 21:45:07 +0100

python-pysam (0.13.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Bump versioned Build-Depends on libhts-dev, samtools and bcftools to 1.6
  * Exclude tests accessing remote http sites
  * Lintian-override for false positive
  * Remove unused paragraphs from d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 14 Dec 2017 16:36:43 +0100

python-pysam (0.12.0.1+ds-4) unstable; urgency=medium

  * Team upload.
  * Revert "Skip tests on ppc64el to avoid build-dep on bcftools currently
    uninstallable".  It seems to be installable now, and anyway now that the
    python3 transition is done we should fix it properly anyway.
  * d/control:
    + Bump the libhts-dev buil-dep to 1.5-3, to make sure we gain appropriate
      versioned symbols and therefore an appropriate versioned dependency on
      libhts2.  Closes: #879867
    + Bump Standards-Version to 4.1.1.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Nov 2017 12:56:10 +0100

python-pysam (0.12.0.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Support DEB_BUILD_OPTIONS=nocheck.
  * Skip tests on ppc64el to avoid build-dep on bcftools which is currently
    uninstallable.
    Hopefully this will help unstuck the current python3 transition.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 24 Oct 2017 18:54:29 +0200

python-pysam (0.12.0.1+ds-2) unstable; urgency=low

  * Update autopkgtest for new test suite driver

 -- Afif Elghraoui <afif@debian.org>  Fri, 06 Oct 2017 23:38:45 -0400

python-pysam (0.12.0.1+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop patch applied upstream
  * Standards-Version: 4.1.0 (no changes needed)
  * Apply upstream patch to fix test suite
  * Use pytest instead of nosetest

  [ Afif Elghraoui ]
  * New upstream version
    Closes: #871083, #834856
  * Bump htslib suite minimum versions
  * Use Build Profiles to mark build-dependencies needed only for tests
  * Temporarily skip a failing test (reported upstream)

  [ Steffen Moeller ]
  * created debian/upstream/metadata: references to registries

 -- Afif Elghraoui <afif@debian.org>  Sun, 01 Oct 2017 12:30:30 -0400

python-pysam (0.11.2.2+ds-3) unstable; urgency=medium

  * Team upload
  * Link with -Wl,--as-needed and avoid another Python 2.7
    compatibility symlink for libchtslib.so

 -- Graham Inggs <ginggs@debian.org>  Tue, 01 Aug 2017 14:15:58 +0200

python-pysam (0.11.2.2+ds-2) unstable; urgency=medium

  * Team upload
  * Mark debian/python-pysam.links executable for dh-exec
  * Drop exclude_test_tyring_to_access_remote_ftpserver.patch,
    fixed upstream
  * Drop pysam_stdout_linkage.patch, not needed since
    compatibility symlinks were added

 -- Graham Inggs <ginggs@debian.org>  Mon, 31 Jul 2017 14:05:22 +0200

python-pysam (0.11.2.2+ds-1) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Imported Upstream version 0.11.2.2+ds
  * Update patches

  [ Andreas Tille ]
  * Apply patches suggested by Steve Langasek (thanks for this Steve)
    Closes: #867017, LP: #1701268
  * debhelper 10
  * Standards-Version: 4.0.0 (no changes needed)
  * Add some symlinks to run autopkgtests correctly

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jul 2017 09:03:05 +0200

python-pysam (0.10.0+ds-2) unstable; urgency=medium

  * d/rules:
     - Add some files that need to be removed after running tests
     - Remove other autogenerated files to build twice in a row
  * Exclude test tyring to access remote ftpserver
    Closes: #861496

 -- Andreas Tille <tille@debian.org>  Thu, 04 May 2017 15:06:21 +0200

python-pysam (0.10.0+ds-1) unstable; urgency=medium

  [ Afif Elghraoui ]
  * New upstream release
  * Update patches

  [ Andreas Tille ]
  * d/rules: Remove redundant get-orig-source target
  * hardening=+all
  * Fix lintian overrides

  [ Afif Elghraoui ]
  * Do not use internal htslib

 -- Afif Elghraoui <afif@debian.org>  Thu, 26 Jan 2017 04:36:11 -0800

python-pysam (0.9.1.4+ds-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1.4+ds
  * Drop patch applied upstream
  * Drop unused lintian overrides
  * Fix spelling issues

 -- Afif Elghraoui <afif@debian.org>  Sat, 23 Jul 2016 18:47:31 -0700

python-pysam (0.9.1+ds-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1+ds
  * Force at least matching versions of the samtools suite
  * Bump Standards-Version to 3.9.8
  * Globally use C.UTF-8 locale
  * Update patch for external htslib
  * Refresh patch
  * Drop obsolete patches
  * Fix handling of configuration headers generated at build time
  * Rely more on pybuild for build-time tests and respect exit code
  * Fix autopkgtests

 -- Afif Elghraoui <afif@debian.org>  Sun, 19 Jun 2016 18:43:53 -0700

python-pysam (0.9.0+ds-1) unstable; urgency=medium

  * Add filenamemangle to d/watch and space out content
  * Imported Upstream version 0.9.0+ds (Closes: #814765)
  * Bump htslib and samtools minimum versions
  * Update policy statndards-version to 3.9.7
  * Use encrypted protocols for Vcs URLs in d/control
  * Use readthedocs page as pysam's homepage
  * Update packaging for external htslib link
  * Refresh patches
  * Delete obsolete patch

 -- Afif Elghraoui <afif@debian.org>  Wed, 09 Mar 2016 23:43:59 -0800

python-pysam (0.8.4+ds-1) unstable; urgency=medium

  * Add version constraints to build-dependencies.
  * Drop ds suffix versioning.
  * Imported Upstream version 0.8.4+ds
  * Remove patches applied upstream
  * Refresh existing patches
  * Refine d/rules
  * Set Vcs-Browser to point to cgit rather than gitweb
  * Reduce dependencies in autopktest dependencies
  * Replace patch for network-dependent tests
  * Add new lintian overrides

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 13 Nov 2015 22:15:14 -0800

python-pysam (0.8.3+ds1-3) unstable; urgency=medium

  * Backport upstream commit 6efb22b to permit building with Cython 0.23.x
    (Closes: 800794)
  * Revise lintian overrides.

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 06 Oct 2015 00:57:19 -0700

python-pysam (0.8.3+ds1-2) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Improve python3 compatibility for upstream test sources
  * Refresh older patches
  * Fix autopkgtests
  * Fix error in sam_mpileup.patch
  * Remove unused lintian override

  [ Andreas Tille ]
  * Remove tests relying on online connection from test suite
  * For the moment do some dirty tricks in test run script
  * The automatic nosetest trigger does not work and this it is
    switched back to manual nosetests invocation

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 24 Jul 2015 10:12:41 +0200

python-pysam (0.8.3+ds1-1) experimental; urgency=medium

  * Team upload.

  [ Jorge Soares ]
  * New upstream version
  * provide python3-pysam

  [ Charles Plessy ]
  * Requires Python 2.7 or higher.

  [ Andreas Tille ]
  * Link against htslib
  * d/watch: dversionmangle

  [ Afif Elghraoui ]
  * New upstream releases (Closes: #763218)
  * Remove unnecessary test-suite declaration in d/control
  * Remove nonexistent files from copyright explanations
  * Allow building of the package when non-ASCII characters are in the path
  * Add to package long description
  * Resolve lintian "duplicated-compressed-file"
  * Make package descriptions unique
  * Remove extra license definitions from d/copyright
  * Fix spelling errors in source distribution (forwarded upstream as well)
  * Add lintian overrides
  * Exclude bundled htslib convenience-copy
  * Provide get-orig-source rule
  * Support building with missing htslib directory
  * Add dependency on cython for autopkgtests to provide pyximport
  * Revamp debian/copyright

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 25 Jun 2015 10:44:30 +0200

python-pysam (0.7.7-1) unstable; urgency=medium

  * New upstream releases.
  * Upstream source code moved to GitHub.
  * Watch the Python Package Index since there are no relevant tags on GitHub.
  * Added a git-buildpackage configuration file to mark its usage.
  * Build-depend samtools (>= 0.1.19); this is needed for the regression tests
    in Wheezy.
  * debian/patches/offline-tests.patch: correction from a later release.

 -- Charles Plessy <plessy@debian.org>  Sat, 19 Apr 2014 14:17:42 +0900

python-pysam (0.7.5-5) unstable; urgency=medium

  * Add make to autopkgtest dependencies
    Closes: #741274

 -- Andreas Tille <tille@debian.org>  Wed, 19 Mar 2014 13:30:15 +0100

python-pysam (0.7.5-4) unstable; urgency=medium

  * Fix autotest
    Closes: #741274

 -- Andreas Tille <tille@debian.org>  Tue, 11 Mar 2014 20:08:15 +0100

python-pysam (0.7.5-3) unstable; urgency=medium

  * Do not install tests in world writable dir
    Closes: #739575

 -- Andreas Tille <tille@debian.org>  Sat, 01 Mar 2014 23:40:21 +0100

python-pysam (0.7.5-2) unstable; urgency=medium

  * debian/rules: Set PYTHONPATH correctly using dh_python
    (thanks to Piotr Ożarowski <piotr@debian.org> for the patch)
    Closes: #739631

 -- Andreas Tille <tille@debian.org>  Thu, 20 Feb 2014 19:01:46 +0100

python-pysam (0.7.5-1) unstable; urgency=low

  * Initial release (Closes: #738665)

 -- Andreas Tille <tille@debian.org>  Fri, 07 Feb 2014 18:29:40 +0100
